! test subroutine with dummy indicate array size
!
	program try

	PARAMETER (N=4)
	integer a(N,N)
        !hpf$ processors p(4)
	call sub1(a,N)
	do i=1,N
	 print *,(a(i,j),j=1,N)
	enddo

	end

	subroutine sub1(a,m)
	integer m
	integer a(m,m)
	integer c(m,m)

	forall (i=1:m,j=1:m) c(i,j)=m*(i-1)+j
	forall (i=1:m,j=1:m) a(i,j)=c(i,j)

	end
